#bin=\bin\
src=src
!ifdef CXX
__MCC__ = 1
!else
__WCC__ = 1
!endif

!ifdef __WCC__
cc=wcc386 -q -bt=nt -bc -zc -I\watcom\h;src\h -3r -obmilrt -s -DNDEBUG -fo$@
link=wlink
lcf=name $@ op quiet system nt op stack=0x20000, heapsize=0x100000, norelocs com stack=0x1000
!else
cc=cl -D__NT__ -c -nologo -Isrc\h -I\msvc\include -Zi -Od -DDEBUG_OUT -Fo$*
link=link
lcf=/debug /libpath:\msvc\lib /subsystem:console /out:$@
!endif
{$(src)}.c{$(bin)}.obj:
 $(cc) $<
!ifdef __WCC__
objs=$(bin)main.obj $(bin)assemble.obj $(bin)assume.obj $(bin)directiv.obj &
 $(bin)posndir.obj $(bin)segment.obj $(bin)expreval.obj $(bin)memalloc.obj &
 $(bin)errmsg.obj $(bin)macro.obj $(bin)string.obj $(bin)condasm.obj &
 $(bin)types.obj $(bin)fpfixup.obj $(bin)invoke.obj $(bin)equate.obj &
 $(bin)mangle.obj $(bin)loop.obj $(bin)parser.obj $(bin)tokenize.obj &
 $(bin)input.obj $(bin)expans.obj $(bin)symbols.obj $(bin)label.obj &
 $(bin)fixup.obj $(bin)codegen.obj $(bin)data.obj $(bin)reswords.obj &
 $(bin)branch.obj $(bin)queue.obj $(bin)hll.obj $(bin)proc.obj &
 $(bin)option.obj $(bin)omf.obj $(bin)omfint.obj $(bin)omffixup.obj &
 $(bin)coff.obj $(bin)elf.obj $(bin)bin.obj $(bin)listing.obj &
 $(bin)cmdline.obj $(bin)context.obj $(bin)extern.obj &
 $(bin)simsegm.obj $(bin)fastpass.obj $(bin)backptch.obj $(bin)tbyte.obj &
 $(bin)apiemu.obj $(bin)dbgcv.obj $(bin)end.obj $(bin)cpumodel.obj &
 $(bin)safeseh.obj $(bin)linnum.obj $(bin)msgtext.obj
!else
objs=$(bin)main.obj $(bin)assemble.obj $(bin)assume.obj $(bin)directiv.obj \
 $(bin)posndir.obj $(bin)segment.obj $(bin)expreval.obj $(bin)memalloc.obj \
 $(bin)errmsg.obj $(bin)macro.obj $(bin)string.obj $(bin)condasm.obj \
 $(bin)types.obj $(bin)fpfixup.obj $(bin)invoke.obj $(bin)equate.obj \
 $(bin)mangle.obj $(bin)loop.obj $(bin)parser.obj $(bin)tokenize.obj \
 $(bin)input.obj $(bin)expans.obj $(bin)symbols.obj $(bin)label.obj \
 $(bin)fixup.obj $(bin)codegen.obj $(bin)data.obj $(bin)reswords.obj \
 $(bin)branch.obj $(bin)queue.obj $(bin)hll.obj $(bin)proc.obj \
 $(bin)option.obj $(bin)omf.obj $(bin)omfint.obj $(bin)omffixup.obj \
 $(bin)coff.obj $(bin)elf.obj $(bin)bin.obj $(bin)listing.obj \
 $(bin)cmdline.obj $(bin)context.obj $(bin)extern.obj \
 $(bin)simsegm.obj $(bin)fastpass.obj $(bin)backptch.obj $(bin)tbyte.obj \
 $(bin)apiemu.obj $(bin)dbgcv.obj $(bin)end.obj $(bin)cpumodel.obj \
 $(bin)safeseh.obj $(bin)linnum.obj $(bin)msgtext.obj
!endif

$(bin)asm.exe: $(objs)
 $(link) $(lcf) @<<
!ifdef __WCC__
file { $(objs) }
!else
$(objs)
!endif
<<
 @del $(bin)*.obj

